apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - ../../../infrastructure/istio-base
  - ../../../infrastructure/istio-pilot
  - ../../../infrastructure/istio-gateway
  - ../../../infrastructure/istio-config
  - ../../../infrastructure/dashboard
  - ../../../infrastructure/local-path-provisioner
  - ../../../infrastructure/minio
  - ../../../infrastructure/rabbitmq
  - ../../../infrastructure/kafka
  - ../../../infrastructure/redis
  - ../../../infrastructure/camunda
  - ./postgresql-namespace.yaml
  - ../../../infrastructure/postgresql
  - ../../../infrastructure/zitadel
  - ../../../infrastructure/keycloak
  - ../../../infrastructure/vault
patches:
  - path: ./patches/istio-base.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: istio-base
      namespace: istio-system
  - path: ./patches/istio-pilot.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: istiod
      namespace: istio-system
  - path: ./patches/istio-gateway.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: ingressgateway
      namespace: istio-system
  - path: ./patches/istio-config.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: istio-config
      namespace: default
  - path: ./patches/dashboard.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: dashboard
      namespace: kubernetes-dashboard
  - path: ./patches/local-path-provisioner.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: local-path-provisioner
      namespace: local-path-provisioner
  - path: ./patches/minio.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: minio
      namespace: minio
  - path: ./patches/rabbitmq.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: rabbitmq
      namespace: rabbitmq
  - path: ./patches/kafka.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: kafka
      namespace: kafka
  - path: ./patches/redis.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: redis
      namespace: redis
  - path: ./patches/camunda.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: camunda
      namespace: camunda
  - path: ./patches/postgresql.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: postgresql
      namespace: postgresql
  - path: ./patches/zitadel.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: zitadel
      namespace: zitadel
  - path: ./patches/keycloak.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: keycloak
      namespace: keycloak
  - path: ./patches/vault.yaml
    target:
      group: helm.toolkit.fluxcd.io
      version: v2
      kind: HelmRelease
      name: vault
      namespace: vault
